    function epsfigc15(nameeps);
%   Function EPSFIG.M for producing colored postscript files
%   for MATLAB 2015
%   
%  nameeps - Name of .EPS-Files (max 6 letters)
%
% J. Lunze  
% from epsfig.m, version of 30.10.1998
%  19.11.2015   for MATLAB 2015
% für 5. Auflage: 25.10.2019      ohne .ps-Datei
echo off
%
%     Figures as .EPS- or .PS-files
%
disp('');
Answer = input(' Bilder als .eps-Dateien herstellen ? (y/n) >', 's');
if isempty(Answer)
   Answer = 'n';
end
if Answer == 'y' 
   fignorm;
   Fig=get(0, 'Children');
   fignottl
   for k0=1:size(Fig)
       figure(Fig(k0).Number);
       eval(['print -depsc ', nameeps, num2str(Fig(k0).Number) '.eps']);
   end;
end;
